> For the complete documentation index, see [llms.txt](https://docs.easy.gg/scripting/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.easy.gg/scripting/bedwars-scripting/events/entitydamage.md).

# EntityDamage

[Entity](/scripting/bedwars-scripting/objects/entity.md)Example usage:

```lua
Events.EntityDamage(function(event)
    local matchDurationSec = MatchService.getMatchDurationSec()
    -- Double all damage in the game after 15 minutes
    if (matchDurationSec > 15 * 60) then
        event.damage = event.damage * 2
    end
    
    -- Disable damage in first 45s of the game
    if (matchDurationSec < 45) then
        event.cancelled = true;
    end
end)
```

### Parameters

#### entity: [Entity](/scripting/bedwars-scripting/objects/entity.md)

The entity getting damaged.

#### fromEntity: [Entity](/scripting/bedwars-scripting/objects/entity.md) | nil

The attacker (if one exists).

#### damage: number <mark style="color:yellow;">\[modifiable]</mark>

Amount of damage that will be dealt.

#### knockback: [Knockback](/scripting/bedwars-scripting/objects/knockback.md) <mark style="color:yellow;">\[modifiable]</mark>

Amount of knockback that will be applied.

#### cancelled: bool <mark style="color:yellow;">\[modifiable]</mark>

If set to true the damage will be cancelled.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.easy.gg/scripting/bedwars-scripting/events/entitydamage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
